diff --git a/Porthos/party0.sh b/Porthos/party0.sh
index e807671ae550692c7ec78b48517eae7cd4496e31..1d1644800535e00c42dc027393815d2e53073cde 100755
--- a/Porthos/party0.sh
+++ b/Porthos/party0.sh
@@ -1,5 +1,18 @@
 #!/bin/sh
 
-./Porthos.out 0 files/addresses
+if [ $# -lt 1 ]
+then
+	echo "Please specify the binary to run."
+	echo "Usage: ./party0.sh [SqNetImgNet/ResNet50/DenseNet121] < [Path to input file]"
+	exit 1
+
+elif [ $# -gt 1 ]
+then
+	echo "Incorrect usage. Only requires one argument."
+	echo "Usage: ./party0.sh [SqNetImgNet/ResNet50/DenseNet121] < [Path to input file]"
+	exit 1
+fi
+
+./src/build/bin/$1 0 ../../../files/addresses
 
 
diff --git a/Porthos/party1.sh b/Porthos/party1.sh
index ff43b9531eb4a37b46c0084eefe4dd6130927d55..4c649185923e37598458abd806c3c77850a7e7cb 100755
--- a/Porthos/party1.sh
+++ b/Porthos/party1.sh
@@ -1,4 +1,17 @@
 #!/bin/sh
 
-./Porthos.out 1 files/addresses
+if [ $# -lt 1 ]
+then
+	echo "Please specify the binary to run."
+	echo "Usage: ./party1.sh [SqNetImgNet/ResNet50/DenseNet121] < [Path to weights file]"
+	exit 1
+
+elif [ $# -gt 1 ]
+then
+	echo "Incorrect usage. Only requires one argument."
+	echo "Usage: ./party1.sh [SqNetImgNet/ResNet50/DenseNet121] < [Path to weights file]"
+	exit 1
+fi
+
+./src/build/bin/$1 1 ../../../files/addresses
 
diff --git a/Porthos/party2.sh b/Porthos/party2.sh
index b19d216f678a677051ef01905193a02b57c68f44..827a08fd6228d7736789404475e637e935bef6b2 100755
--- a/Porthos/party2.sh
+++ b/Porthos/party2.sh
@@ -1,5 +1,18 @@
 #!/bin/sh
 
-./Porthos.out 2 files/addresses
+if [ $# -lt 1 ]
+then
+	echo "Please specify the binary to run."
+	echo "Usage: ./party2.sh [SqNetImgNet/ResNet50/DenseNet121]"
+	exit 1
+
+elif [ $# -gt 1 ]
+then
+	echo "Incorrect usage. Only requires one argument."
+	echo "Usage: ./party2.sh [SqNetImgNet/ResNet50/DenseNet121]"
+	exit 1
+fi
+
+./src/build/bin/$1 2 ../../../files/addresses